import { ChangeDetectorRef, OnChanges, OnInit } from '@angular/core';
import { ReplaySubject, Subject } from 'rxjs';
import { ContextMap } from './symbols';
export declare class ContextProviderComponent<T = any> implements OnChanges, OnInit {
    private source;
    private initialized;
    private _contextMap;
    private _provide;
    provided: Map<any, any>;
    contextMap: ContextMap;
    provide: string | string[];
    readonly component: T;
    change$: ReplaySubject<string>;
    reset$: Subject<void>;
    constructor(source: ChangeDetectorRef);
    private init;
    private reset;
    ngOnChanges(): void;
    ngOnInit(): void;
}
