import { OnChanges, OnDestroy, TemplateRef, ViewContainerRef } from '@angular/core';
import { ContextProviderComponent } from './provider.component';
export declare class Context {
    $implicit: {
        [key: string]: any;
    };
}
export declare class ContextDisposerDirective implements OnChanges, OnDestroy {
    private tempRef;
    private vcRef;
    private provider;
    private destroy$;
    private _dispose;
    private view;
    dispose: string | string[];
    constructor(tempRef: TemplateRef<any>, vcRef: ViewContainerRef, provider: ContextProviderComponent);
    private init;
    private reset;
    private syncProperties;
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
